Bug 1269744 - nfs-ganesha: fails to get delegations and a WARNING is issued
nfs-ganesha: fails to get delegations and a WARNING is issued
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: ganesha-nfs (Show other bugs)
3.7.4
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Soumya Koduri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 02:58 EDT by Saurabh
Modified: 2016-01-19 01:15 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-21 03:22:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurabh 2015-10-08 02:58:49 EDT
Description of problem:
 Tried to test delegations with FSAL_Gluster and I find that delegations are not getting granted. As can be seen with the logs by executing the pynfs.

time python testserver.py -v --outfile /export/pynfs.run.3.7.4-1 --maketree 10.70.46.59:/vol2 --showomit --rundeps DELEG1

DELEG1   st_delegation.testReadDeleg1                             : RUNNING
DELEG1   st_delegation.testReadDeleg1                             : WARNING
           Could not get read delegation
**************************************************
DELEG1   st_delegation.testReadDeleg1                             : WARNING
           Could not get read delegation
**************************************************
Command line asked for 1 of 661 tests
Of those: 0 Skipped, 0 Failed, 1 Warned, 0 Passed


Version-Release number of selected component (if applicable):
glusterfs-3.7.4-2.el7.x86_64
nfs-ganesha-2.2.0-9.el7rhgs.x86_64

How reproducible:
always

Actual results:
as mentioned above
No message mentioned in ganesha.log regarding the warning.

Expected results:
delegations should get granted

Additional info:
Comment 1 Soumya Koduri 2015-10-21 03:22:48 EDT
Delegations are not yet supported on FSAL_GLUSTER. Request to test and re-open the bug if the issue still exists after adding their support.

Note You need to log in before you can comment on or make changes to this bug.